package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.FiscalAliquotaEmpresaDAO;
import com.rjconsultores.ventaboletos.entidad.FiscalAliquotaEmpresa;
import com.rjconsultores.ventaboletos.service.FiscalAliquotaEmpresaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("fiscalAliquotaEmpresa")
public class FiscalAliquotaEmpresaServiceImpl implements FiscalAliquotaEmpresaService {

	@Autowired
	private FiscalAliquotaEmpresaDAO fiscalAliquotaEmpresaDAO;

	public List<FiscalAliquotaEmpresa> obtenerTodos() {
		return fiscalAliquotaEmpresaDAO.obtenerTodos();
	}

	public FiscalAliquotaEmpresa obtenerID(Integer id) {
		return fiscalAliquotaEmpresaDAO.obtenerID(id);
	}

	@Transactional
	public FiscalAliquotaEmpresa suscribirActualizar(FiscalAliquotaEmpresa entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		if (entidad.getFiscalAliquotaEmpresaId() == null) {
			return fiscalAliquotaEmpresaDAO.suscribir(entidad);
		}
		return fiscalAliquotaEmpresaDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(FiscalAliquotaEmpresa entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		fiscalAliquotaEmpresaDAO.actualizacion(entidad);
	}
}
